TakeSnapshotRequest Class

Request body for taking snapshot operation.

All required parameters must be populated in order to send to Azure.

Inheritance
TakeSnapshotRequest

Constructor

TakeSnapshotRequest(*, type, object_id: str, apply_scope, user_data: Optional[str] = None, **kwargs)

Parameters

type
str or SnapshotObjectType
Required

Required. User specified type for the source object to take snapshot from. Currently FaceList, PersonGroup, LargeFaceList and LargePersonGroup are supported. Possible values include: 'FaceList', 'LargeFaceList', 'LargePersonGroup', 'PersonGroup'

object_id
str
Required

Required. User specified source object id to take snapshot from.

apply_scope
list[str]
Required

Required. User specified array of target Face subscription ids for the snapshot. For each snapshot, only subscriptions included in the applyScope of Snapshot - Take can apply it.

user_data
str
Required

User specified data about the snapshot for any purpose. Length should not exceed 16KB.